org.apache.lucene.benchmark.quality.utils

## Class DocNameExtractor

- java.lang.Object
- - org.apache.lucene.benchmark.quality.utils.DocNameExtractor

-     public class DocNameExtractor
      extends java.lang.Object

  Utility: extract doc names from an index

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocNameExtractor(java.lang.String docNameField)` Constructor for DocNameExtractor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `docName(org.apache.lucene.search.Searcher searcher, int docid)` Extract the name of the input doc from the index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocNameExtractor

          public DocNameExtractor(java.lang.String docNameField)

      Constructor for DocNameExtractor.
      Parameters:
        `docNameField` - name of the stored field containing the doc name.

  - ### Method Detail

    - #### docName

          public java.lang.String docName(org.apache.lucene.search.Searcher searcher,
                                          int docid)
                                   throws java.io.IOException

      Extract the name of the input doc from the index.
      Parameters:
        `searcher` - access to the index.
        `docid` - ID of doc whose name is needed.
      Returns:
        the name of the input doc as extracted from the index.
      Throws:
        `java.io.IOException` - if cannot extract the doc name from the index.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.